import greenfoot.*;  // imports Actor, World, Greenfoot, GreenfootImage

import java.util.Random;
import java.awt.Color;

public class PacWorld extends World
{
    /**
     * Creates BlacWorld. Our world has a size 
     * of 560x560 cells, where every cell is just 1 pixel.
     */
    public PacWorld() 
    {
        super(560, 560, 1);
        populateWorld();
    }

    
    /**
     * Create the objects for the start of the game.
     */
    public void populateWorld()
    {
        addObject(new BlacMan(), 300, 300);
        
        addObject(new Ghost(), 90, 70);
        addObject(new Ghost(), 390, 200);
        addObject(new Ghost(), 360, 500);
        
        for (int i = 0; i < 30; i++)
        {
            addObject(new Dot(), Greenfoot.getRandomNumber(getHeight()),Greenfoot.getRandomNumber(getWidth() ));
        }
    }
}